Resolve Issue
curl --request POST \
--url https://api.withterminal.com/tsp/v1/issues/{issueId}/resolve \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.withterminal.com/tsp/v1/issues/{issueId}/resolve"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.withterminal.com/tsp/v1/issues/{issueId}/resolve', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "isu_01D8ZQFGHVJ858NBF2Q7DV9MNC",
"connection": "conn_01GV12VR4DJP70GD1ZBK0SDWFH",
"error": {
"message": "Failed to ingest HOS Logs, missing permissions to access Duty Status Logs"
},
"firstReportedAt": "2021-01-06T03:24:53.000Z",
"lastReportedAt": "2021-01-06T03:24:53.000Z"
}{
"code": "bad_request",
"message": "Invalid request body",
"detail": [
{
"message": "'vehicleId' property must be a valid ulid",
"path": "{requestQuery}.vehicleId",
"suggestion": "Please ensure you submit a valid 'vehicleId' property",
"context": {}
}
]
}{
"code": "unauthorized",
"message": "Unauthorized Request",
"detail": "Please ensure you have a valid API key"
}{
"code": "forbidden",
"message": "Forbidden Request",
"detail": "Please ensure the connection token matches the resource you are attempting to access."
}{
"code": "connection_disconnected",
"message": "Connection must be connected to perform this action",
"detail": []
}{
"code": "too_many_requests",
"message": "Too Many Requests",
"retryAfter": 60,
"detail": "You have exceeded your rate limit. Please try again later."
}{
"code": "internal_server_error",
"message": "Internal Server Error",
"detail": "Something went wrong"
}{
"code": "gateway_timeout",
"message": "Gateway Timeout"
}Issues
Resolve Issue
Mark an issue’s status as resolved until the issue is observed again.
POST
/
issues
/
{issueId}
/
resolve
Resolve Issue
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Pattern:
^isu_[0-9A-HJKMNP-TV-Z]{26}$Example:
"isu_01D8ZQFGHVJ858NBF2Q7DV9MNC"
Response
OK
Pattern:
^isu_[0-9A-HJKMNP-TV-Z]{26}$Example:
"isu_01D8ZQFGHVJ858NBF2Q7DV9MNC"
Entities in Terminal are expandable. Using the expand query parameter you can choose to ingest just an ID or the full entity details.
Example:
"conn_01GV12VR4DJP70GD1ZBK0SDWFH"
Available options:
ongoing, resolved Show child attributes
Show child attributes
⌘I